Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3._2001._04.xmlenc
Class EncryptionProperty

    java.lang.Object
      org.w3._2001._04.xmlenc.EncryptionProperty

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-09-20T05:23:16+02:00",
               comments="JAXB RI v2.2.11")
    public class EncryptionProperty

extends Object
implements Serializable

Java class for EncryptionPropertyType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="EncryptionPropertyType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice maxOccurs="unbounded">
             <any processContents='lax' namespace='##other'/>
           </choice>
           <attribute name="Target" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           <attribute name="Id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           <anyAttribute namespace='http://www.w3.org/XML/1998/namespace'/>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`EncryptionProperty()`

Method Summary
`List<Object>` | `getContent()` Gets the value of the content property.
`String` | `getId()` Gets the value of the id property.
`Map<QName,String>` | `getOtherAttributes()` Gets a map that contains attributes that aren't bound to any typed property on this class.
`String` | `getTarget()` Gets the value of the target property.
`void` | `setId(String value)` Sets the value of the id property.
`void` | `setTarget(String value)` Sets the value of the target property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EncryptionProperty

    public EncryptionProperty()

Method Detail

### getContent

    public List<Object> getContent()

  Gets the value of the content property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the content property.

  For example, to add a new item, do as follows:

          getContent().add(newItem);

  Objects of the following type(s) are allowed in the list `String` `Element` `Object`

### getTarget

    public String getTarget()

  Gets the value of the target property.

  Returns:
    possible object is `String`

### setTarget

    public void setTarget(String value)

  Sets the value of the target property.

  Parameters:
    `value` - allowed object is `String`

### getId

    public String getId()

  Gets the value of the id property.

  Returns:
    possible object is `String`

### setId

    public void setId(String value)

  Sets the value of the id property.

  Parameters:
    `value` - allowed object is `String`

### getOtherAttributes

    public Map<QName,String> getOtherAttributes()

  Gets a map that contains attributes that aren't bound to any typed property on this class.

  the map is keyed by the name of the attribute and the value is the string value of the attribute. the map returned by this method is live, and you can add new attribute by updating the map directly. Because of this design, there's no setter.

  Returns:
    always non-null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.